Bug 467638 - Evolution can't sync with Comcast pop server after it's been open for a few hours
Evolution can't sync with Comcast pop server after it's been open for a few h...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 16:05 EDT by Joshua Rosen
Modified: 2009-12-18 01:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of password error dialog box (31.68 KB, image/png)
2008-11-05 08:45 EST, Joshua Rosen
no flags Details

  None (edit)
Description Joshua Rosen 2008-10-19 16:05:12 EDT
Description of problem:Evolution gets into a state where it can't can't access Comcast's mail servers because of an authorization issue. The problem takes a number of hours to manifest itself, sometimes as much as a day. When the problem occurs Evolution will put up it's password box, however giving it the password never helps. The only solution is to exit out of Evolution and then restart it. After the restart it will work normally for a while before the problem reoccur.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1.Start Evolution, have it access Comcast every 10 minutes
2.Wait for a few hours to a day
3.
  
Actual results: The Password dialog will appear, after that it won't be able to access the servers no matter what you tell the password dialog to do. 


Expected results: Should be able to fetch mail forever.


Additional info:
Comment 1 Milan Crha 2008-10-31 16:11:24 EDT
I guess there is some reason in the password prompt when it asks for it, maybe something on evolution's console too. Can you run evolution from console and give here the above mentioned information please? Thanks in advance.
Comment 2 Joshua Rosen 2008-10-31 17:23:30 EDT
I've launched if from an Xemacs shell, I'll let you know what happens.
Comment 3 Joshua Rosen 2008-11-04 07:09:14 EST
I've been running Evolution from an Xemacs shell for a couple of days without a problem, normally it would run into the authorization problem within 24 hours. O usually launch it from a control panel. I don't see why this would make a difference unless it has something to do with error logging. There is another possibility, Comcast sent e-mail about a major change to their e-mail web interface, it's possible that there is a change to their pop servers that occurred at the same time. I'll keep Evolution up for another couple of days, if it doesn't fail I'll launch it the normal way and see if it fails under those circumstanced.

In the mean time here is the error log from the shell,

evolution 
CalDAV Eplugin starting up ...
** (evolution:3825): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:3825): DEBUG: mailto URL program: evolution

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Drafts.ev-summary': No such file or directory
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name org.freedesktop.NetworkManager was not provided by any .service files

(evolution:3825): e-data-server-WARNING **: Could not open converter for 'DEFAULT_CHARSET' to 'UTF-8' charset

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/spam.sbd/korean.spam.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/clients.sbd/mentor.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/clients.sbd/Tenesix.ev-summary': No such file or directory

(evolution:3825): Pango-WARNING **: Invalid UTF-8 string passed to pango_layout_set_text()

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/clients.sbd/Avid.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Chassis.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Chassis.sbd/ElanVital.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Chassis.sbd/Agilent.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Chassis.sbd/HiQ.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Chassis.sbd/SVEC.ev-summary': No such file or directory

(evolution:3825): camel-WARNING **: Cannot load summary file: `/home/bjrosen/.evolution/mail/local/Netscape-Trash.ev-summary': No such file or directory
BBDB spinning up...
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

(acroread:4707): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",

(acroread:4707): Gtk-WARNING **: Unable to locate theme engine in module_path: "nodoka",
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
(evolution:3825): e-data-server-DEBUG: Loading categories from "/home/bjrosen/.evolution/categories.xml"
(evolution:3825): e-data-server-DEBUG: Loaded 31 categories

(evolution:3825): gtkhtml-WARNING **: oo
new dimensions = (48,48)
initial setting of an image.  no scaling
scale = 1

(evolution:3825): e-utils-WARNING **: calling e_icon_factory_get_icon_filename with unknown icon_size value (48)
new dimensions = (48,48)
we need to scale up
scale = 1
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Comment 4 Joshua Rosen 2008-11-05 06:38:23 EST
It failed again. There were no additional messages in the console. I've restarted it using the --debug switch. I'll let you know if it catches anything.
Comment 5 Milan Crha 2008-11-05 06:48:46 EST
Thanks for the update, please upload also a text of the password dialog here (or a screenshot of that dialog), where will be shown the reason why it asks for the password. Thanks in advance.
Comment 6 Joshua Rosen 2008-11-05 07:30:58 EST
OK, I'll take a screenshot the next time it happens.
Comment 7 Joshua Rosen 2008-11-05 08:45:35 EST
Created attachment 322568 [details]
Screen shot of password error dialog box

This error was in the log file
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

I can't find libgnomebreakpad.so in Yumex, what package is it in?
Comment 8 Milan Crha 2008-11-05 09:21:31 EST
From the image, the reason for the password is "-ERR internal server error". I'm not sure whether we can do anything with this, but I heard something about the issue when there are too many requests on the same server with different accounts from one machine, then some servers could reject the request. Or some connection handlers left opened meanwhile? Hard to say at the moment.

The .so file is part of the bug-buddy package.
Comment 9 Joshua Rosen 2008-11-05 09:49:16 EST
I've installed bug_buddy, I'll let you know if it shows anything different.

This problem always clears up if you restart Evolution so there must be something different about the initial authorization process and subsequent authorization requests. My suggestion would be to call the initialization routines if you get an authorization failure, it's a kludge but it should work.
Comment 10 Matthew Barnes 2009-01-27 12:34:41 EST
Is this working any better with the latest Fedora 10 updates?

One possibility is Evolution is interpreting any failure to connect as an authorization failure.  When you restart, are you prompted for a password again, and then that password sticks until the next time the problem occurs?
Comment 11 Joshua Rosen 2009-01-27 21:34:50 EST
Evolution has gotten much worse in F10, it's crashing all the time. F9 seems to be fairly stable although I've had crashes there also, but the version in F10 is nearly unusable.
Comment 12 Mike Chambers 2009-03-07 09:02:50 EST
Are you still experiencing this problem or has it since been fixed?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Joshua Rosen 2009-03-07 09:22:50 EST
It happens less frequently, when I submitted the report it was happening once a day, now it happens once every few weeks.
Comment 14 Bug Zapper 2009-06-09 23:01:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Matthew Barnes 2009-06-21 09:07:04 EDT
Is this bug still present on Fedora 11 or later?
Comment 16 Joshua Rosen 2009-06-21 10:56:36 EDT
It happens in F10, I can't use F11 on a regular basis problem until they fix the problem with Xemacs not working over ssh.
Comment 17 Bug Zapper 2009-11-18 03:36:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-12-18 01:36:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.